Name:		socat
Epoch:		1
Version:	1.8.0.2
Release:	%mkrel 1
Summary:	Multipurpose relay
License:	GPLv2
Group:		Networking/Remote access
Url:		http://www.dest-unreach.org/socat/
Source0:	http://www.dest-unreach.org/socat/download/%{name}-%{version}.tar.gz
BuildRequires:	openssl
BuildRequires:	pkgconfig(openssl)
BuildRequires:	pkgconfig(ncurses)
BuildRequires:	pkgconfig(readline)
BuildRequires:	tcp_wrappers-devel
BuildRequires:	yodl

%description
socat is a relay for bidirectional data transfer between two independent data
channels. Each of these data channels may be a file, pipe, device (serial line
etc. or a pseudo terminal), a socket (UNIX, IP4, IP6 - raw, UDP, TCP), an
SSL socket, proxy CONNECT connection, a file descriptor (stdin etc.), the GNU
line editor (readline), a program, or a combination of two of these.

%prep
%autosetup -p1

%build
%configure
%make_build

%install
%make_install

%check
# Many of the default tests hang and some outright fail for reasons (mostly)
# unknown (some are probably due to our OpenSSL flags). Running these few tests
# now that seem pretty reliable is better than running none at all.
%ifarch x86_64
#./test.sh dgram unix ipapp
%endif

%files
%doc README EXAMPLES FAQ CHANGES BUGREPORTS
%doc doc/dest-unreach.css doc/socat-genericsocket.html doc/socat.html doc/socat-multicast.html doc/socat-openssltunnel.html doc/socat-tun.html
%license COPYING
%{_bindir}/%{name}
%{_bindir}/filan
%{_bindir}/procan
%{_bindir}/socat-broker.sh
%{_bindir}/socat-chain.sh
%{_bindir}/socat-mux.sh
%{_bindir}/socat1
%{_mandir}/man1/*


%changelog
* Thu Dec 12 2024 daviddavid <daviddavid> 1:1.8.0.2-1.mga9
+ Revision: 2123956
- new version: 1.8.0.2, fixes CVE-2024-54661 (mga#33851)
- switch to supported upstream 1.8.0.0 release (mga#32852)
  This switches socat to the 1.x branch from the 2.x branch on the recommendation
  of the upstream author, as the 2.x branch was only ever in beta and is now
  effectively dead. This means bumping the package epoch.

* Sat Apr 02 2022 umeabot <umeabot> 2.0.0-0.b9.11.mga9
+ Revision: 1840457
- Mageia 9 Mass Rebuild

* Sun Oct 03 2021 wally <wally> 2.0.0-0.b9.10.mga9
+ Revision: 1748772
- rebuild for openssl 3.0.0

* Fri Aug 21 2020 joequant <joequant> 2.0.0-0.b9.9.mga8
+ Revision: 1617517
- fix gcc10 build

* Wed Feb 19 2020 umeabot <umeabot> 2.0.0-0.b9.8.mga8
+ Revision: 1542349
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sat Jan 04 2020 luigiwalser <luigiwalser> 2.0.0-0.b9.7.mga8
+ Revision: 1476014
- rebuild for readline

* Sun Sep 23 2018 umeabot <umeabot> 2.0.0-0.b9.6.mga7
+ Revision: 1301095
- Mageia 7 Mass Rebuild
+ kekepower <kekepower>
- Update make macros

* Tue Jan 02 2018 wally <wally> 2.0.0-0.b9.5.mga7
+ Revision: 1189469
- rebuild for new readline

* Wed Sep 06 2017 cjw <cjw> 2.0.0-0.b9.4.mga7
+ Revision: 1151661
- rebuild with openssl 1.1
- disable termios support since it causes the build to fail

* Thu Mar 03 2016 umeabot <umeabot> 2.0.0-0.b9.3.mga6
+ Revision: 984108
- Rebuild for openssl

* Tue Feb 09 2016 umeabot <umeabot> 2.0.0-0.b9.2.mga6
+ Revision: 952589
- Mageia 6 Mass Rebuild

* Mon Feb 01 2016 luigiwalser <luigiwalser> 2.0.0-0.b9.1.mga6
+ Revision: 929998
- 2.0.0-b9

* Mon Apr 06 2015 luigiwalser <luigiwalser> 2.0.0-0.b8.1.mga5
+ Revision: 819777
- 2.0.0-b8 (fixes CVE-2015-1379)

* Wed Oct 15 2014 umeabot <umeabot> 2.0.0-0.b7.3.mga5
+ Revision: 739966
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.0.0-0.b7.2.mga5
+ Revision: 689233
- Mageia 5 Mass Rebuild

* Wed Jan 29 2014 luigiwalser <luigiwalser> 2.0.0-0.b7.1.mga5
+ Revision: 568526
- 2.0.0-b7 (fixes CVE-2014-0019)

* Sat Oct 19 2013 umeabot <umeabot> 2.0.0-0.b6.2.mga4
+ Revision: 523968
- Mageia 4 Mass Rebuild

* Mon May 27 2013 luigiwalser <luigiwalser> 2.0.0-0.b6.1.mga4
+ Revision: 428519
- 2.0.0-b6 (fixes CVE-2013-3571)

* Mon Jan 14 2013 umeabot <umeabot> 2.0.0-0.b5.2.mga3
+ Revision: 382282
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue May 29 2012 guillomovitch <guillomovitch> 2.0.0-0.b5.1.mga3
+ Revision: 249204
- new version
- new version

* Tue Dec 06 2011 guillomovitch <guillomovitch> 1.7.2.0-1.mga2
+ Revision: 177343
- new version

* Sun Mar 20 2011 boklm <boklm> 1.7.1.3-2.mga1
+ Revision: 74613
- imported package socat


* Wed Sep 15 2010 Oden Eriksson <oeriksson@mandriva.com> 1.7.1.3-1mdv2011.0
+ Revision: 578480
- 1.7.1.3

* Mon Apr 12 2010 Funda Wang <fwang@mandriva.org> 1.7.1.2-2mdv2010.1
+ Revision: 533646
- rebuild

* Thu Feb 11 2010 Frederik Himpe <fhimpe@mandriva.org> 1.7.1.2-1mdv2010.1
+ Revision: 504292
- update to new version 1.7.1.2

* Thu May 21 2009 Michael Scherer <misc@mandriva.org> 1.7.1.1-1mdv2010.0
+ Revision: 378364
- update to new version 1.7.1.1

* Fri Feb 27 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.7.0.0-2mdv2009.1
+ Revision: 345393
- rebuild against new readline

* Fri Jan 23 2009 Jérôme Soyer <saispo@mandriva.org> 1.7.0.0-1mdv2009.1
+ Revision: 333005
- New upstream release

* Wed Jul 23 2008 Thierry Vignaud <tv@mandriva.org> 1.6.0.0-4mdv2009.0
+ Revision: 242719
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Thu Aug 09 2007 Funda Wang <fwang@mandriva.org> 1.6.0.0-2mdv2008.0
+ Revision: 60856
- More buildrequires

* Sat May 26 2007 Emmanuel Blindauer <blindauer@mandriva.org> 1.6.0.0-1mdv2008.0
+ Revision: 31353
- 1.6.0.0 release
- Import socat



* Sun Aug 13 2006 Emmanuel Blindauer <blindauer@mandriva.org> 1.5.0.0-1mdv2007.0
- New release 1.5.0.0

* Mon Jan 30 2006 Lenny Cartier <lenny@mandriva.com> 1.4.3.1-1mdk
- 1.4.3.1

* Sat Apr 30 2005 Mandriva Linux Team <http://www.mandrivaexpert.com/> 1.4.2.0-1mdk
- New release 1.4.2.0

* Fri Jan 21 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.4.1.0-2mdk
- rebuild for new readline
- use %%configure2_5x %% %%makeinstall_std macro
- quiet setup

* Sun Dec 12 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.4.1.0-1mdk
- 1.4.1.0

* Fri Oct 22 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.4.0.3-1mdk
- 1.4.0.3

* Thu Sep 23 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.4.0.2-1mdk
- 1.4.0.2

* Fri Aug 27 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.4.0.1-1mdk
- 1.4.0.1

* Fri Aug  6 2004 Emmanuel Blindauer <mdk@agat.net> 1.4.0.0-2mdk
- fix url, group, descr.

* Fri Aug  6 2004 Emmanuel Blindauer <mdk@agat.net> 1.4.0.0-1mdk
- first packaged version
